Subject: Re: bug#73853: 31.0.50; Should and-let* become a synonym for when-let*?

From: Michael Heerdegen <[email-masked]>
Date: Sun, 27 Oct 2024 12:24:35 +0100

Michael Albinus <[email-masked]> writes:

> Please no more incompatibilities with older Emacsen except when
> absolutely necessary. It's already hard enough for packages developed
> outside the Emacs repo.

My suggestion is not more incompatible than the current approach.

And reintroducing names that we had declared obsolete in a second step
is even backwards compatible then.

Let's please not get impatient, let's try to find the one solution that
we want to keep this time.  Else we only postpone the problem into the
future, and this is not ideal for packages outside of Emacs either -
it's worse, in the long run.

Michael.